<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Version.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper</a> &gt; <span class="el_source">Version.java</span></div><h1>Version.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper;

<span class="nc" id="L21">public class Version implements org.apache.zookeeper.version.Info {</span>

    public static int getRevision() {
<span class="fc" id="L24">        return REVISION;</span>
    }

    public static String getBuildDate() {
<span class="fc" id="L28">        return BUILD_DATE;</span>
    }

    public static String getVersion() {
<span class="pc bpc" id="L32" title="1 of 2 branches missed.">        return MAJOR + &quot;.&quot; + MINOR + &quot;.&quot; + MICRO</span>
            + (QUALIFIER == null ? &quot;&quot; : &quot;-&quot; + QUALIFIER);
    }

    public static String getVersionRevision() {
<span class="fc" id="L37">        return getVersion() + &quot;-&quot; + getRevision();</span>
    }

    public static String getFullVersion() {
<span class="fc" id="L41">        return getVersionRevision() + &quot;, built on &quot; + getBuildDate();</span>
    }

    public static void printUsage() {
<span class="nc" id="L45">        System.out</span>
<span class="nc" id="L46">                .print(&quot;Usage:\tjava -cp ... org.apache.zookeeper.Version &quot;</span>
                        + &quot;[--full | --short | --revision],\n\tPrints --full version &quot;
                        + &quot;info if no arg specified.&quot;);
<span class="nc" id="L49">        System.exit(1);</span>
<span class="nc" id="L50">    }</span>

    /**
     * Prints the current version, revision and build date to the standard out.
     * 
     * @param args
     *            &lt;ul&gt;
     *            &lt;li&gt; --short - prints a short version string &quot;1.2.3&quot;
     *            &lt;li&gt; --revision - prints a short version string with the SVN
     *            repository revision &quot;1.2.3-94&quot;
     *            &lt;li&gt; --full - prints the revision and the build date
     *            &lt;/ul&gt;
     */
    public static void main(String[] args) {
<span class="nc bnc" id="L64" title="All 2 branches missed.">        if (args.length &gt; 1) {</span>
<span class="nc" id="L65">            printUsage();</span>
        }
<span class="nc bnc" id="L67" title="All 6 branches missed.">        if (args.length == 0 || (args.length == 1 &amp;&amp; args[0].equals(&quot;--full&quot;))) {</span>
<span class="nc" id="L68">            System.out.println(getFullVersion());</span>
<span class="nc" id="L69">            System.exit(0);</span>
        }
<span class="nc bnc" id="L71" title="All 2 branches missed.">        if (args[0].equals(&quot;--short&quot;))</span>
<span class="nc" id="L72">            System.out.println(getVersion());</span>
<span class="nc bnc" id="L73" title="All 2 branches missed.">        else if (args[0].equals(&quot;--revision&quot;))</span>
<span class="nc" id="L74">            System.out.println(getVersionRevision());</span>
        else
<span class="nc" id="L76">            printUsage();</span>
<span class="nc" id="L77">        System.exit(0);</span>
<span class="nc" id="L78">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>